from setuptools import setup
from os import path

DIR = path.dirname(path.abspath(__file__))
INSTALL_PACKAGES = open(path.join(DIR, 'requirements.txt')).read().splitlines()

with open(path.join(DIR, 'README.md')) as f:
    README = f.read()

setup(
    name='pymgp',
    packages=['pymgp'],
    description="A runtime library of Metaverse Game Platform. It uses Python and other Python libraries.",
    long_description=README,
    long_description_content_type='text/markdown',
    install_requires=INSTALL_PACKAGES,
    version='0.0.9',
    url='https://github.com/zzxzzk115/MGP-Runtime',
    author='Lazy_V',
    author_email='954294627@qq.com',
    keywords=['metaverse', 'user-generate-content', 'gameplatform'],
    # tests_require=[
    #     'pytest',
    #     'pytest-cov',
    #     'pytest-sugar'
    # ],
    package_data={
        # include json and pkl files
        '': ['*.json', 'models/*.pkl', 'models/*.json'],
    },
    include_package_data=True,
    python_requires='>=3'
)